| Earth Observation Mission CFI Software Pointing Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.AttitudeDef Class Reference

Attitude definition data. More...

Inheritance diagram for EECFI.AttitudeDef:

List of all members.

## Public Member Functions
| AttitudeDef ()
| Empty Class constructor.
| AttitudeDef (long typeIn, SatNomTransId satNomTrIdIn, SatTransId satTrIdIn, InstrTransId instTrIdIn)
| Constructor with satellite frame ids. Only references are copied.
native void | attitudeTransform (final TransformCfg transformCfg) throws CfiError
| The reference frame in the attitude id can be changed using attitudeTransform.
native AttFile | genAttitudeData (OrbitId orbId, final OrbTimeInterval timeInterval, double timeStep, long dataType, long sourceRefType, long sourceRef) throws CfiError
| Compute a list of quaternions/angles equivalent to the transformation from sourceRef to the attitude target frame A data set (quaternions/angles) is generated every "timeStep" seconds along the input "timeInterval".
native String | genAttitudeFile (OrbitId orbId, final OrbTimeInterval timeInterval, double timeStep, long dataType, long sourceRefType, long sourceRef, String outputDir, String fileClass, long versionNumber, String fhSystem, String outputFileName) throws CfiError
| Create an attitude file with quaternions/angles equivalent to the transformation from sourceRef to the attitude target frame The file records are generated every "timeStep" seconds along the input "timeInterval".
## Public Attributes
long | type
| XPCFI_SAT_NOMINAL_ATT/XPCFI_SAT_ATT/XPCFI_INSTR_ATT.
SatNomTransId | satNomTransId
| Satellite nominal attitude.
SatTransId | satTransId
| Satellite attitude.
InstrTransId | instrTransId
| Instrument attitude.

## Detailed Description

Attitude definition data.

## Constructor & Destructor Documentation

EECFI.AttitudeDef.AttitudeDef | ( |  | ) |

Empty Class constructor.

EECFI.AttitudeDef.AttitudeDef | ( | long | typeIn,
|  | SatNomTransId | satNomTrIdIn,
|  | SatTransId | satTrIdIn,
|  | InstrTransId | instTrIdIn |
| ) |  |  |

Constructor with satellite frame ids. Only references are copied.

## Member Function Documentation

void EECFI.AttitudeDef::attitudeTransform | ( | final TransformCfg | transformCfg | ) | throws CfiError

The reference frame in the attitude id can be changed using attitudeTransform.

Remark: all attitude related computations are performed in the True of Date Coordinate System. This means that, if one attitude id has been initialized with data expressed in another reference frame (e.g. attitude file with quaternions expressed in EF), at each call of a function using such attitude id (e.g. Attitude.compute) one or more conversions to True of Date will be performed. If the reference frame is changed to True of Date (using AttitudeDef.attitudeTransform), such conversions will not be executed and this will result in a run-time performance improvement.
Note: transformation of attitude ids that are initialized with Start Tracker files is not supported.

Parameters:

  | transformCfg | Transformation parameters.

AttFile EECFI.AttitudeDef::genAttitudeData | ( | OrbitId | orbId,
|  | final OrbTimeInterval | timeInterval,
|  | double | timeStep,
|  | long | dataType,
|  | long | sourceRefType,
|  | long | sourceRef |
| ) |  |  | throws CfiError

Compute a list of quaternions/angles equivalent to the transformation from sourceRef to the attitude target frame A data set (quaternions/angles) is generated every "timeStep" seconds along the input "timeInterval".

Parameters:

  | orbId | Transformation parameters.
  | timeInterval | Time interval to be generated
  | timeStep | interval between records in file (seconds)
  | dataType | Euler angles or quaternions
  | sourceRefType | source reference frame type (External or satellite)
  | sourceRef | source reference frame

Returns:
  AttFile object with the list of quaternions or angles.

String EECFI.AttitudeDef::genAttitudeFile | ( | OrbitId | orbId,
|  | final OrbTimeInterval | timeInterval,
|  | double | timeStep,
|  | long | dataType,
|  | long | sourceRefType,
|  | long | sourceRef,
|  | String | outputDir,
|  | String | fileClass,
|  | long | versionNumber,
|  | String | fhSystem,
|  | String | outputFileName |
| ) |  |  | throws CfiError

Create an attitude file with quaternions/angles equivalent to the transformation from sourceRef to the attitude target frame The file records are generated every "timeStep" seconds along the input "timeInterval".

Parameters:

  | OrbitId | Orbit Id.
  | timeInterval | Time interval to be generated
  | timeStep | interval between records in file (seconds)
  | dataType | Euler angles or quaternions
  | sourceRefType | source reference frame type (External or satellite)
  | sourceRef | source reference frame
  | outputDir | output directory
  | fileClass | file calss
  | versionNumber | file version
  | fhSystem | FH system
  | outputFileName | Output file name. If emtpy is generated automatically

Returns:
  output file name. This is equal to "outputFileName" if it is not empty.

## Member Data Documentation

InstrTransId EECFI.AttitudeDef.instrTransId

Instrument attitude.

SatNomTransId EECFI.AttitudeDef.satNomTransId

Satellite nominal attitude.

SatTransId EECFI.AttitudeDef.satTransId

Satellite attitude.

long EECFI.AttitudeDef.type

XPCFI_SAT_NOMINAL_ATT/XPCFI_SAT_ATT/XPCFI_INSTR_ATT.